<?php



class TblusertransactionMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblusertransactionMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblusertransactionPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblusertransactionPeer::TABLE_NAME);
		$tMap->setPhpName('Tblusertransaction');
		$tMap->setClassname('Tblusertransaction');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('TR_ID', 'TrId', 'INTEGER', true, null);

		$tMap->addColumn('TR_USER', 'TrUser', 'INTEGER', true, null);

		$tMap->addColumn('TR_MONEY', 'TrMoney', 'INTEGER', true, null);

		$tMap->addColumn('TR_DATE', 'TrDate', 'TIMESTAMP', true, null);

		$tMap->addColumn('TR_TYPE', 'TrType', 'VARCHAR', false, 15);

		$tMap->addColumn('TR_CONTENT', 'TrContent', 'VARCHAR', false, 50);

		$tMap->addColumn('TR_USERIP', 'TrUserip', 'VARCHAR', false, 50);

	} 
} 